Bug 430908 - libXcomposite.so.1 missing from stage2.img
libXcomposite.so.1 missing from stage2.img
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 10:02 EST by Jeroen van Meeuwen
Modified: 2008-10-16 21:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 21:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for libXcomposite.so.1 missing (1.61 KB, patch)
2008-01-30 10:02 EST, Jeroen van Meeuwen
no flags Details | Diff

  None (edit)
Description Jeroen van Meeuwen 2008-01-30 10:02:35 EST
Description of problem:

Composing installation media having the updates/8/$arch repository included
results in libXcomposite.so.1 missing from the stage2.img installer image, which
when using the graphical installer will cause you to only see a black screen and
a mouse cursor. tty1 shows:

/usr/bin/mini-wm: Could not load shared libraries: libXcomposite.so.1: No such
file or directory.

Version-Release number of selected component (if applicable):

anaconda-{runtime,}-11.3.0.50-2.{x86_64,i386,ppc}

How reproducible:

Compose installation media with the updates/8/$arch repository included.

Steps to Reproduce:
1. yum install revisor
2. sudo revisor --cli [--yes] --kickstart /etc/revisor/conf.d/fedora-8-gold.cfg
--model f8-i386 --install-dvd
3. qemu-kvm -cdrom /srv/revisor/f8-i386/iso/*DVD.iso
  
Actual results:

Black screen when starting or entering graphical installation mode.

Expected results:

Welcome dialog

Additional info:

A patch is attached that has been applied to the anaconda 11.3.0.50-5 packages
available via http://www.kanarip.com/custom/f8/

Fedora Unity has confirmed that this patch is working, and will be applied and
used with our next Fedora 8 Re-Spin unless we hear of other circumstances to
consider.

See also:
https://www.redhat.com/archives/anaconda-devel-list/2008-January/msg00089.html
http://lists.fedoraunity.org/pipermail/revisor-users/2008-January/000596.html
Comment 1 Jeroen van Meeuwen 2008-01-30 10:02:35 EST
Created attachment 293415 [details]
patch for libXcomposite.so.1 missing
Comment 2 Jeroen van Meeuwen 2008-02-11 09:56:44 EST
Made the updated anaconda packages available via http://www.kanarip.com/anaconda
so that the repository does not include too many other packages.
Comment 3 Jeroen van Meeuwen 2008-06-04 10:26:39 EDT
Update needs to be backported and pushed to F-8 tree if it's fixed in rawhide. I
can do this, but I'm not allowed to (yet). I'll request access. Meanwhile, this
bug remains open.
Comment 4 Paul W. Frields 2008-06-04 11:51:20 EDT
Couldn't Jeroen take over maintenance of existing (release) branches, inheriting
bugs and so forth, if the current Anaconda maintainers want to concentrate
purely on the Rawhide branch?
Comment 5 Jeroen van Meeuwen 2008-10-16 21:03:22 EDT
An update as been released to Fedora 8 resolving this issue.

Note You need to log in before you can comment on or make changes to this bug.